SeExpr

Classes | Namespaces | Functions | Variables
imageSynthForPaint3d.cpp File Reference
`#include <map>`
`#include <cstdlib>`
`#include <cstdio>`
`#include <cstring>`
`#include <png.h>`
`#include <fstream>`
`#include <SeExpr2/Expression.h>`
`#include <SeExpr2/Vec.h>`
`#include <SeExpr2/Interpreter.h>`
`#include <SeExpr2/ExprFunc.h>`
`#include <SeExpr2/ExprFuncX.h>`
`#include <SeExpr2/Platform.h>`

Go to the source code of this file.

## Classes
class | SeExpr2::RandFuncX
struct | SeExpr2::RandFuncX::Data
class | SeExpr2::MapFuncX
struct | SeExpr2::MapFuncX::Data
class | SeExpr2::TriplanarFuncX
struct | SeExpr2::TriplanarFuncX::Data

## Namespaces
| SeExpr2

## Functions
double | clamp (double x)
int | main (int argc, char *argv[])

## Variables
SeExpr2::RandFuncX | SeExpr2::rand
SeExpr2::MapFuncX | SeExpr2::map
SeExpr2::TriplanarFuncX | SeExpr2::triplanar
static const char * | rand_docstring = "rand\n"
static const char * | map_docstring = "map\n"
static const char * | triplanar_docstring = "triplanar\n"

## Function Documentation

## ◆ clamp()

double clamp | ( | double | x | ) |

Definition at line 184 of file imageSynthForPaint3d.cpp.

References SeExpr2::max(), SeExpr2::min(), and x.

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 186 of file imageSynthForPaint3d.cpp.

References SeExpr2::clamp(), SeExpr2::ExprFunc::define(), expr(), SeExpr2::map, map_docstring, SeExpr2::rand, rand_docstring, SeExpr2::triplanar, and triplanar_docstring.

## Variable Documentation

## ◆ map_docstring

const char* map_docstring = "map\n"
| static

Definition at line 131 of file imageSynthForPaint3d.cpp.

Referenced by main().

## ◆ rand_docstring

const char* rand_docstring = "rand\n"
| static

Definition at line 130 of file imageSynthForPaint3d.cpp.

Referenced by main().

## ◆ triplanar_docstring

const char* triplanar_docstring = "triplanar\n"
| static

Definition at line 132 of file imageSynthForPaint3d.cpp.

Referenced by main().